Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20628

Description

The SAGA command 'Shape to grid' consistently returns an error, and it's unable to complete.

QGIS 2.8.1, SAGA 2.1.4+dfsg-1, Processing 2.9.0

==============================================

Output della console di esecuzione di SAGA

Unknown option 'TARGET'

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libgrid_gridding

library     :    Gridding

tool        :    Shapes to Grid

author      :    O.Conrad (c) 2003

processors  :    4 [4]

____________________

Usage: saga_cmd grid_gridding 0 -INPUT <str> [-FIELD <str>] [-OUTPUT <str>] [-MULTIPLE <str>] [-LINE_TYPE <str>] [-POLY_TYPE

<str>] [-GRID_TYPE <str>] [-TARGET_DEFINITION <str>] [-TARGET_USER_XMIN <str>] [-TARGET_USER_XMAX <str>]

[-TARGET_USER_YMIN <str>] [-TARGET_USER_YMAX <str>] [-TARGET_USER_SIZE <str>] [-TARGET_USER_FITS <str>]

[-TARGET_TEMPLATE <str>] [-TARGET_OUT_GRID <str>] [-TARGET_COUNT <str>]

-INPUT:<str>                Shapes

Shapes (input)

-FIELD:<str>                Attribute

Table field

-OUTPUT:<str>               Output Values

Choice

Available Choices:

[0] data / no-data
[1] index number

[2] attribute

Default: 2

-MULTIPLE:<str>             Method for Multiple Values

Choice

Available Choices:

[0] first

[1] last

[2] minimum

[3] maximum

[4] mean

Default: 1

-LINE_TYPE:<str>            Lines

Choice

Available Choices:

[0] thin

[1] thick

Default: 1

-POLY_TYPE:<str>            Polygon

Choice

Available Choices:

[0] node

[1] cell

Default: 1

-GRID_TYPE:<str>            Preferred Target Grid Type

Choice

Available Choices:

[0] Integer (1 byte)

[1] Integer (2 byte)

[2] Integer (4 byte)

[3] Floating Point (4 byte)

[4] Floating Point (8 byte)

Default: 3

-TARGET_DEFINITION:<str>    Target Grid System

Choice

Available Choices:

[0] user defined

[1] grid or grid system

Default: 0

-TARGET_USER_XMIN:<str>     Left

Floating point

Default: 0.000000

-TARGET_USER_XMAX:<str>     Right

Floating point

Default: 100.000000

-TARGET_USER_YMIN:<str>     Bottom

Floating point

Default: 0.000000

-TARGET_USER_YMAX:<str>     Top

Floating point

Default: 100.000000

-TARGET_USER_SIZE:<str>     Cellsize

Floating point
Minimum: 0.000000

Default: 1.000000

-TARGET_USER_FITS:<str>     Fit

Choice

Available Choices:

[0] nodes

[1] cells

Default: 0

-TARGET_TEMPLATE:<str>      Target System

Grid (optional input)

-TARGET_OUT_GRID:<str>      Target Grid

Grid (output)

-TARGET_COUNT:<str>         Number of Values

Grid (optional output)

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libio_gdal

library     :    GDAL/OGR

tool        :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

processors  :    4 [4]

____________________

Load grid: /tmp/processing/6a689d24d68548ffb374b3b4d7032d36/USERGRID.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

History

#1 - 2015-04-01 11:46 AM - Giovanni Manghi

- Operating System deleted (Debian)

- OS version deleted (Sid)

- Assignee changed from Victor Olaya to Giovanni Manghi

#2 - 2015-04-07 09:43 AM - Paolo Cavallini

See an explanation here: http://sourceforge.net/p/saga-gis/wiki/Compatibility%202.1.3/
#3 - 2015-04-09 03:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Pull Request or Patch supplied changed from No to Yes

- Target version set to Version 2.8.2

fixed here

https://github.com/qgis/QGIS/pull/1982

#4 - 2015-04-09 03:26 AM - Giovanni Manghi

- Status changed from Feedback to In Progress

#5 - 2015-04-09 03:33 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
